%define rname	youri-submit
#define svn	20100401
%define svn     0
%define rel	5

%if %{svn}
%define release %mkrel 2.%{svn}.%{rel}
%define distname %{rname}-%{version}-%{svn}
%else
%define release %mkrel %{rel}
%define distname %{rname}-%{version}
%endif

Name:		mga-%{rname}
Version:	0.9.4
Release:	%{release}
Summary:	Youri submit tool
License:	GPL or Artistic
Group:		Development/Other
# Generate tarball with: cd SOURCES; ./gettarball.sh $version
Source:		%{distname}.tar.gz
Url:		https://gitweb.mageia.org/software/build-system/mga-youri-submit
BuildRequires:	perl(Youri::Utils)
BuildRequires:	perl(Youri::Package::RPM::Test)
BuildRequires:	perl(Youri::Package::RPM::Generator)
BuildRequires:	perl(Youri::Repository::Test)
BuildRequires:	perl(Test::Exception)
BuildArch:	noarch
Requires:	rpmlint

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastructure". It aims
to build tools making management of a coherent set of packages easier.

youri-submit is a generic package submission tool. It first runs a list of
tests on each submitted package, and if no one fails, runs a list of actions on
those packages.

%prep
%setup -q -n %{distname}

%build
%{__perl} Makefile.PL \
  INSTALLDIRS=vendor \
  INSTALLVENDORSCRIPT=%{_datadir}/%{name}/bin \
  INSTALLVENDORLIB=%{_datadir}/%{name}/lib \
  INSTALLVENDORMAN3DIR=%{_mandir}/man3 \
  INSTALLVENDORMAN1DIR=%{_mandir}/man1
%make_build pure_all

%install
%make_build DESTDIR=%{buildroot} pure_install

%files 
%doc ChangeLog README
%{_datadir}/%{name}/bin/%{rname}*
%{_datadir}/%{name}/bin/mga-*
%{_datadir}/%{name}/lib/Youri
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.9.4-5.mga9
+ Revision: 1801828
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.4-4.mga8
+ Revision: 1492082
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 pterjan <pterjan> 0.9.4-3.mga7
+ Revision: 1264278
- Update file list
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.9.4-2.mga6
+ Revision: 943540
- Mageia 6 Mass Rebuild

* Sat Feb 06 2016 blino <blino> 0.9.4-1.mga6
+ Revision: 941583
- update URL
- 0.9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-5.mga5
+ Revision: 748851
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-4.mga5
+ Revision: 682376
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-3.mga4
+ Revision: 507953
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 360015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 boklm <boklm> 0.9.2-1.mga2
+ Revision: 204508
- version 0.9.2

* Tue Apr 05 2011 blino <blino> 0.9.1-1.mga1
+ Revision: 80602
- initial release (based on mdv-youri-submit package)
- Created package structure for mga-youri-submit.

